
exports.up = async function(knex, Promise) {
    let relations = await knex.select().from('group_message_relationships');
    await knex('group_message_relationships').del();    
    await knex.schema.table('group_message_relationships', table => {
        table.dropColumn('status');
    });
    await knex.schema.table('group_message_relationships', table => {
        table.enum('status', ['join', 'host', 'publish', 'recieve', 'internal']);
    });
    return knex('group_message_relationships').insert(relations);
};

exports.down = async function(knex, Promise) {
    let relations = await knex.select().from('group_message_relationships')
        .whereIn('status', ['join', 'host', 'publish']);
    await knex('group_message_relationships').del();    
    await knex.schema.table('group_message_relationships', table => {
        table.dropColumn('status');
    });
    await knex.schema.table('group_message_relationships', table => {
        table.enum('status', ['join', 'host', 'publish']);
    });
    return knex('group_message_relationships').insert(relations);
};
